System.Web 2.0.0.0 System.Object

The class is the base class for expression builders, such as the class, that create code expressions during page parsing.

Expression builders parse declarative expressions and create code to retrieve values bound to a control property. In no-compile scenarios, an expression builder that supports a no-compile feature evaluates the expression during run time.

When the page parser encounters an expression that is delimited with the string <%$ %>, it creates an expression builder for the expression based on the prefix in the string. The prefix is the portion of the string that is to the left of the colon (:). For example, when the parser encounters the string <%$ ConnectionStrings:MessageDB %>, it creates a object. Prefixes are associated with expression builders in the Web.config file in the section.

The right side of the declarative expression is passed to the expression builder for evaluation. Override the method to generate code that will be compiled with the page.

If you want the custom expression builder to be active on pages that are not compiled, you must also override the method to return an object that represents the results of the expression. You also must override the property to indicate that the custom expression builder does support no-compile pages.

You can define a set of properties and methods for selecting and evaluating an expression that is associated with a control property at design time by implementing an expression editor. The editor is marked on the expression builder through class-level metadata. For more information, see .

Evaluates expressions during page parsing.

- Constructor

  Because the class is abstract, you cannot create an instance of directly by using the constructor.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Object `` `` `` ``

  If you want your object to be active on a page that supports the no-compile feature, you can override the method and the property. The method should return the evaluation of the current expression.

  When overridden in a derived class, returns an object that represents an evaluated expression.

  An object that represents the evaluated expression; otherwise, null if the inheritor does not implement .

  The object containing the expression. The object that represents information about the property bound to by the expression. The object containing parsed data as returned by . Contextual information for the evaluation of the expression. 2.0.0.0
- Method
  System.CodeDom.CodeExpression `` `` ``

  Classes that inherit from the class must implement the abstract method.

  When overridden in a derived class, returns code that is used during page execution to obtain the evaluated expression.

  A that is used for property assignment.

  The object that represents information about the property bound to by the expression. The object containing parsed data as returned by . Contextual information for the evaluation of the expression. 2.0.0.0
- Method
  System.Object `` `` ``

  When overridden in a derived class, this method parses the expression and returns it as an object that can be used as the parameter in a or method.

  When overridden in a derived class, returns an object that represents the parsed expression.

  An containing the parsed representation of the expression; otherwise, null if is not implemented.

  The value of the declarative expression. The type of the property bound to by the expression. Contextual information for the evaluation of the expression. 2.0.0.0
- Property
  System.Boolean To be added.

  The default value for the property is false. To support no-compile pages, you must override both the method and the property.

  When overridden in a derived class, returns a value indicating whether the current object supports no-compile pages.

  2.0.0.0